## python-flickrapi 2.4

=== requirements.txt ===
# Primary requirements
requests==2.2.1
requests-oauthlib==0.4.0
requests-toolbelt==0.3.1
six==1.9.0

# Development requirements
tox==2.3.1
responses==0.5.1
pytest==2.9.1
pytest-cov==2.2.1
pytest-xdist==1.14
Sphinx==1.2.2
mock==2.0.0  # for Python 2.7 compatibility

# Secondary requirements
apipkg==1.4
cookies==2.2.1
coverage==4.0.3
docutils==0.12
execnet==1.4.1
Jinja2==2.8
MarkupSafe==0.23
oauthlib==1.0.3
py==1.4.31
Pygments==2.1.3

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PythonFlickrAPI.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PythonFlickrAPI.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PythonFlickrAPI"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PythonFlickrAPI"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

upload: html
	rsync -va --delete $(BUILDDIR)/html/ stuvel@stuvel.eu:site-stuvel.eu/htdocs/flickrapi-doc/

## python-flickrapi 0.15-1

=== debian/changelog ===
python-flickrapi (0.15-1) unstable; urgency=low

  * Initial maemo release 

 -- Daniel Martin Yerga <dyerga@gmail.com>  Sat, 12 Jan 2008 16:51:09 +0100

=== debian/control ===
Source: python-flickrapi
Priority: extra
Maintainer: Daniel Martin Yerga <dyerga@gmail.com>
Build-Depends: debhelper (>= 4), python2.5-dev
Standards-Version: 3.7.2
Section: libs

Package: python-flickrapi
Section: libs
Depends: python2.5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The official Python interface to the Flickr API
 The easiest to use, most complete, and most actively 
 developed Python interface to the Flickr API.
 It includes support for authorized and non-authorized
 access, uploading and replacing photos, 
 and all Flickr API functions

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/python-flickrapi install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## python-flickrapi 1.2-1maemo1

=== debian/changelog ===
python-flickrapi (1.2-1maemo1) fremantle; urgency=low

  * Changed python dependences to Fremantle ones.

 -- Daniel Martin Yerga <dyerga@gmail.com>  Mon, 20 Jul 2009 16:02:52 +0200

python-flickrapi (1.2-1) diablo; urgency=low

  * New upstream release

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 13 Dec 2008 10:52:52 +0100

python-flickrapi (1.1-2) diablo; urgency=low

  * Set distribution to diablo
  * Build-Depend on python2.5-xml

 -- Thomas Schmidt <tschmidt@debian.org>  Tue, 29 Jul 2008 15:56:20 +0200

python-flickrapi (1.1-1) unstable; urgency=low

  * Initial release

 -- Thomas Schmidt <tschmidt@debian.org>  Fri, 25 Jul 2008 13:55:06 +0200

=== debian/control ===
Source: python-flickrapi
Section: python
Priority: optional
Maintainer: Thomas Schmidt <tschmidt@debian.org>
XS-Python-Version: all
Build-Depends: debhelper (>= 5), python-dev, python-xml
Build-Depends-Indep: python-setuptools
Standards-Version: 3.8.0
Homepage: http://flickrapi.sourceforge.net

Package: python-flickrapi
Architecture: all
Depends: ${python:Depends}, python-xml
Description: Python Flickr API
 Complete and easy to use Python module for interfacing with the Flickr API.

## python-flickrapi 1.2-1maemo2

=== debian/changelog ===
python-flickrapi (1.2-1maemo2) fremantle; urgency=low

  * Changed the call to browser (webbrowser doesn't work). Using dbus now.

 -- Daniel Martin Yerga <dyerga@gmail.com>  Thu, 17 Sep 2009 13:30:52 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,6 @@
 
 Package: python-flickrapi
 Architecture: all
-Depends: ${python:Depends}, python-xml
+Depends: ${python:Depends}, python-xml, python-dbus
 Description: Python Flickr API
  Complete and easy to use Python module for interfacing with the Flickr API.

=== debian/rules ===
#!/usr/bin/make -f
d=debian/python-flickrapi

build: 

clean:
	dh_testdir
	python2.5 setup.py clean
	rm -f `find $(CURDIR) -name '*.py[co]'`
	rm -rf build-stamp build
	rm -rf $(d)
	dh_clean install-stamp

install: build install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	dh_installdirs
	python2.5 setup.py install --root=$(d)

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs 
	dh_installchangelogs
	dh_compress -X.py
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
http://sf.net/flickrapi/flickrapi-(.*)\.tar\.gz

## python-flickrapi 1.2-1maemo3

=== debian/changelog ===
python-flickrapi (1.2-1maemo3) fremantle; urgency=low

  * Using maemo-optify to save root space in the N900.

 -- Daniel Martin Yerga <dyerga@gmail.com>  Sat,  3 Oct 2009 13:30:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Thomas Schmidt <tschmidt@debian.org>
 XS-Python-Version: all
-Build-Depends: debhelper (>= 5), python-dev, python-xml
-Build-Depends-Indep: python-setuptools
+Build-Depends: debhelper (>= 5), python-dev, python-xml, maemo-optify
+Build-Depends-Indep: python-setuptools, maemo-optify
 Standards-Version: 3.8.0
 Homepage: http://flickrapi.sourceforge.net

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 d=debian/python-flickrapi
 
-build: 
+build:
 
 clean:
 	dh_testdir
@@ -21,12 +21,13 @@
 binary-indep: build install
 	dh_testdir
 	dh_testroot
-	dh_installdocs 
+	dh_installdocs
 	dh_installchangelogs
 	dh_compress -X.py
 	dh_fixperms
 	dh_installdeb
 	dh_gencontrol
+	maemo-optify
 	dh_md5sums
 	dh_builddeb

## python-flickrapi 2.1.2

=== debian/changelog ===
python-flickrapi (2.1.2-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Removed Python 2 support (Closes: #937763).

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Sep 2019 14:51:52 +0200

python-flickrapi (2.1.2-5) unstable; urgency=medium

  * do not install README.txt and UPGRADING.txt in
    /usr/lib/python3/dist-packages/ (closes: #825195)
  * debian/control: removed XB-Python-Version
  * Changed Standards-Version to 3.9.8

 -- Thomas Schmidt <tschmidt@debian.org>  Thu, 04 Aug 2016 22:42:08 +0200

python-flickrapi (2.1.2-4) unstable; urgency=low

  * Fixed typo in package description of python3-flickrapi (closes: #810801)

 -- Thomas Schmidt <tschmidt@debian.org>  Wed, 13 Jan 2016 21:19:26 +0100

python-flickrapi (2.1.2-3) unstable; urgency=low

  * Added python3-flickrapi package (closes: #810648)
    + Additional build-depends:
      - python-requests-oauthlib/python3-requests-oauthlib
      - python-nose/python3-nose
      - python3-all
      - python3-setuptools
      - python3-requests-toolbelt
    + Updated python versions and build-depends to >= 2.7 and >= 3.2
  * Small updates to the package description

 -- Thomas Schmidt <tschmidt@debian.org>  Mon, 11 Jan 2016 00:44:48 +0100

python-flickrapi (2.1.2-2) unstable; urgency=low

  * Close the whishlist ticket for the 1.2-3.1 upload (closes: #769958)
  * Deprecated md5-module is not used in 2.1.2 anymore (closes: #603691)
  * Integrated changes from Petter Reinholdtsen:
    + Build-depend on python-all-dev instead of python-all
    + Switched source-format to 3.0 (quilt)
    + Use updated debian/watch
  * Converted change to setup.py to quilt patch
    do-not-install-LICENSE-txt.diff
  * Removed other local changes
  * Updated years in debian/copyright

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 10 Jan 2016 22:07:35 +0100

python-flickrapi (2.1.2-1) unstable; urgency=medium

  * New upstream release (closes: #573719)
  * Acknowledge NMUs (closes: #769722, #786019)
  * Changed Standards-Version to 3.9.6
  * Updated debian/watch, use pypi.debian.net redirector service
  * debian/rules: added missing target build-arch to fix Lintian warning
  * Avoid installation of extra LICENSE.txt referencing just the Python
    license to fix Lintian warning
  * Changed debhelper compat level to 9, build-depend on debhelper (>= 9)
  * Build-Depend on python-requests-toolbelt, required by new upstream version

 -- Thomas Schmidt <tschmidt@debian.org>  Wed, 06 Jan 2016 22:48:39 +0100

python-flickrapi (1.4.2-1) UNRELEASED; urgency=low

  * New upstream release

 -- Olivier Berger <oberger@ouvaton.org>  Sat, 21 Apr 2012 14:24:35 +0200

python-flickrapi (1.4.1-1) experimental; urgency=low

  * New upstream release (closes: #573719)

 -- Thomas Schmidt <tschmidt@debian.org>  Mon, 13 Dec 2010 18:14:09 +0100

python-flickrapi (1.2-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Port from python-support to dh-python (Closes: #786019)
  * Replace XS-Python-Version with X-Python-Version

 -- Ross Gammon <rossgammon@mail.dk>  Mon, 19 Oct 2015 18:16:46 +0200

python-flickrapi (1.2-3.1) unstable; urgency=low

  * Non-maintainer upload to get module working again.
  * Change API URLs from http to https to get them working with the
    current Flickr API where SSL is required (Closes: #769722).
  * Add missing ${misc:Depends} to dependency list.
  * Add --prefix=/usr to setup run in rules file to make sure the
    documentation end up in /usr/share/doc/, not /usr/local/share/doc/.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 17 Nov 2014 21:48:46 +0100

python-flickrapi (1.2-3) unstable; urgency=low

  * Improved package long description (closes: #531014)

 -- Thomas Schmidt <tschmidt@debian.org>  Fri, 29 May 2009 10:51:34 +0200

python-flickrapi (1.2-2) unstable; urgency=low

  * First upload to debian (closes: #528612)
  * Updated debian/copyright
  * Bumped Standards-Version to 3.8.1
  * Changed Upstream homepage in debian/control
  * Added Vcs-Git and Vcs-Browser fields to debian/control
  * Updated package short description
  * Fixed debian/watch

 -- Thomas Schmidt <tschmidt@debian.org>  Thu, 14 May 2009 09:20:22 +0200

python-flickrapi (1.2-1) unstable; urgency=low

  * New upstream release

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 13 Dec 2008 10:54:39 +0100

=== debian/control ===
Source: python-flickrapi
Section: python
Priority: optional
Maintainer: Thomas Schmidt <tschmidt@debian.org>
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Build-Depends:
 debhelper (>= 9~),
Build-Depends-Indep:
 dh-python,
 python3-all,
 python3-setuptools,
 python3-requests-toolbelt,
 python3-requests-oauthlib,
 python3-nose,
Standards-Version: 3.9.8
Vcs-Git: git://git.geekbu.de/python-flickrapi/
Vcs-Browser: http://git.geekbu.de/?p=python-flickrapi.git
Homepage: http://stuvel.eu/projects/flickrapi

Package: python3-flickrapi
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Flickr API wrapper for Python 3
 Python-flickrapi is a complete and easy to use Python
 module for interfacing with the Flickr API (see
 https://www.flickr.com/services/api/ for details on
 the Flickr API).
 .
 the main features are:
 .
   - keeping track of authentication credentials
     (no need to pass them on every Flickr API call)
   - caching of API calls
   - support for uploading and replacing photos
   - support for different XML parsers
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=flickrapi

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	$(RM) doc/flickrapi.html

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/flickrapi/flickrapi-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-flickrapi 2.4

=== debian/changelog ===
python-flickrapi (2.4-1) unstable; urgency=medium

  * Team upload.
  * Maintain package in Debian Python team
    Closes: #1073544
  * Secure URI in Homepage
  * d/copyright: DEP5
  * Standards-Version: 4.7.2 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Commit database after creating oauth_tokens table.
    Closes: #1092711

 -- Andreas Tille <tille@debian.org>  Wed, 09 Apr 2025 17:37:00 +0200

python-flickrapi (2.4-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable one more test needing internet (Closes: #1094120)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 06 Apr 2025 14:44:35 +0200

python-flickrapi (2.4-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * pypi archive does not contain any test, switch to GH
  * New upstream version 2.4 (Closes: #946767, LP: #1335350, LP: #1899404)
  * Switch to DebHelper 13
  * Replace nose by pytest (Closes: #1018496)
  * Add build-dep on six (Closes: #1073368)
  * Set Rules-Requires-Root: no
  * Remove old patches

 -- Alexandre Detiste <tchet@debian.org>  Mon, 17 Jun 2024 12:03:46 +0200

=== debian/control ===
Source: python-flickrapi
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Thomas Schmidt <tschmidt@debian.org>,
           Alexandre Detiste <tchet@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-pytest,
 python3-pytest-cov,
 python3-responses,
 python3-setuptools,
 python3-six,
 python3-requests-toolbelt,
 python3-requests-oauthlib,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-flickrapi
Vcs-Git: https://salsa.debian.org/python-team/packages/python-flickrapi.git
Homepage: https://stuvel.eu/projects/flickrapi

Package: python3-flickrapi
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Flickr API wrapper for Python 3
 Python-flickrapi is a complete and easy to use Python
 module for interfacing with the Flickr API (see
 https://www.flickr.com/services/api/ for details on
 the Flickr API).
 .
 the main features are:
 .
   - keeping track of authentication credentials
     (no need to pass them on every Flickr API call)
   - caching of API calls
   - support for uploading and replacing photos
   - support for different XML parsers

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=flickrapi
export PYBUILD_TEST_ARGS= -k 'not test_default_format \
                          and not test_etree_default_format \
                          and not test_etree_format_happy \
                          and not test_parsed_json_format \
                          and not test_xmlnode_format \
                                                   \
                          and not test_json_format \
                          and not test_walk_set \
                                                \
                          and not test_etree_format_error \
                          and not test_explicit_format \
                          and not test_json_callback_format \
                          and not test_walk \
                          and not test_upload \
                          '

# test_default_format,
# test_etree_default_format,
# test_etree_format_happy,
# test_parsed_json_format,
# test_xmlnode_format
# --> these all need Photo "2333478006" that is gone but could be replaced by another one

# test_json_format - KeyError: 'photo'
# test_walk_set - flickrapi.exceptions.FlickrError: Error: 1: Photoset not found
# --> most likely the same cause

# the last ones also need internet access

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	dh_clean
	$(RM) doc/flickrapi.html

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/sybrenstuvel/flickrapi/tags (?:.*/)version-@ANY_VERSION@@ARCHIVE_EXT@
